/**
 * @file
 * Animals Killed Counter behavior for Drupal 7
 */

(function($){

  Drupal.behaviors.animals = {
    attach: function(d,s) { AnimalsKilledWidget.init(s.animals); }
  };

  var AnimalsKilledWidget = (function(){

    var data, interval, akse = 0, aksy = 365.256366 * 24 * 60 * 60;

    function akInitWidget(settings) {
      data = settings.data;
      interval = settings.updateInterval;
      for (var i = 0; i < data.length; i++) {
        $('#ak-animal-'+i).html(data[i][0]);
      }
      akRunCounter();
    }

    function akRunCounter() {
      for (var i = 0; i < data.length; i++) {
        var current = Math.floor(data[i][1]/aksy*akse);
        $('#ak-counter-'+i).html(akAddCommas('' + current));
      }
      akse += interval/1000.0;
      setTimeout(akRunCounter, interval);
    }

    function akAddCommas(sValue) {
      var sRegExp = new RegExp('(-?[0-9]+)([0-9]{3})');
      while (sRegExp.test(sValue)) {
        sValue = sValue.replace(sRegExp, '$1,$2');
      }
      return sValue;
    }

    return {
      init: function(settings) { return akInitWidget(settings); }
    };

  })();

})(jQuery);
